Skip to main content
GET
/
1
/
boards
/
{boardId}
/
views
List Board Views
curl --request GET \
  --url https://api.honeycomb.io/1/boards/{boardId}/views \
  --header 'X-Honeycomb-Team: <api-key>'
[
  {
    "id": "eC_abc123",
    "name": "Errors View",
    "filters": [
      {
        "column": "status",
        "operation": "=",
        "value": "error"
      }
    ]
  },
  {
    "id": "yc_def456",
    "name": "Slow requests view",
    "filters": [
      {
        "column": "duration_ms",
        "operation": ">",
        "value": 1000
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.honeycomb.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Honeycomb-Team
string
header
required

Authenticate using a Honeycomb Configuration Key.

Pass the Token in the X-Honeycomb-Team header:

X-Honeycomb-Team: 1234567890123456789012

If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.

To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.

Path Parameters

boardId
string
required

The unique identifier (ID) of a Board.

Response

Success

Maximum array length: 50
id
string

Unique identifier for the board view.

Example:

"eC_abc123"

name
string

The name of the view.

Example:

"My View"

filters
object[]